#!/usr/bin/env bash
# shellcheck disable=SC2034

iso_name="solarityliveboot"
iso_label="SOL_$(date +%Y%m)"
iso_publisher="Solarity Industries"
iso_application="Solarity Liveboot ISO"
iso_version="$(date +%Y.%m.%d)"
install_dir="solboot"
buildmodes=('iso')
bootmodes=('bios.syslinux.mbr' 'bios.syslinux.eltorito' 'uefi-x64.systemd-boot.esp' 'uefi-x64.systemd-boot.eltorito')
arch="x86_64"
pacman_conf="pacman.conf"
airootfs_image_type="squashfs"
airootfs_image_tool_options=('-comp' 'xz' '-Xbcj' 'x86' '-b' '1M' '-Xdict-size' '1M')
file_permissions=(
  ["/etc/shadow"]="0:0:0400"
  ["/etc/gshadow"]="0:0:0400"
  ["/etc/sudoers.d"]="0:0:0700"
  ["/etc/sudoers.d/wheel"]="0:0:0600"
  ["/root"]="0:0:750"
  ["/root/.automated_script.sh"]="0:0:755"
  ["/usr/local/bin/choose-mirror"]="0:0:755"
  ["/usr/local/bin/Installation_guide"]="0:0:755"
  ["/usr/local/bin/livecd-sound"]="0:0:755"
  ["/usr/local/bin/wlr-randr"]="0:0:755"
)
